CODESYS Control Runtime System vor 3.5.17.10 Pufferüberlauf

CVSS Meta Temp ScoreAktueller Exploitpreis (≈)CTI Interest Score
5.3$0-$5k0.00

In CODESYS Control Runtime System wurde eine Schwachstelle gefunden. Sie wurde als kritisch eingestuft. Hierbei betrifft es ein unbekannter Ablauf. Dank Manipulation mit einer unbekannten Eingabe kann eine Pufferüberlauf-Schwachstelle ausgenutzt werden. CWE definiert das Problem als CWE-122. Es ist nicht bekannt, inwiefern sich eine durchgesetzte Attacke genau auswirken wird.

Die Schwachstelle wurde am 04.08.2021 öffentlich gemacht. Bereitgestellt wird das Advisory unter customers.codesys.com. Die Verwundbarkeit wird als CVE-2021-33485 geführt. Technische Details oder ein Exploit zur Schwachstelle sind nicht verfügbar.

Ein Aktualisieren auf die Version 3.5.17.10 vermag dieses Problem zu lösen.

Produktinfo

Hersteller

Name

Lizenz

CPE 2.3info

CPE 2.2info

CVSSv4info

VulDB CVSS-B Score: 🔍
VulDB CVSS-BT Score: 🔍
VulDB Vector: 🔍
VulDB Zuverlässigkeit: 🔍

CVSSv3info

VulDB Meta Base Score: 5.5
VulDB Meta Temp Score: 5.3

VulDB Base Score: 5.5
VulDB Temp Score: 5.3
VulDB Vector: 🔍
VulDB Zuverlässigkeit: 🔍

CVSSv2info

AVACAuCIA
💳💳💳💳💳💳
💳💳💳💳💳💳
💳💳💳💳💳💳
VektorKomplexitätAuthentisierungVertraulichkeitIntegritätVerfügbarkeit
freischaltenfreischaltenfreischaltenfreischaltenfreischaltenfreischalten
freischaltenfreischaltenfreischaltenfreischaltenfreischaltenfreischalten
freischaltenfreischaltenfreischaltenfreischaltenfreischaltenfreischalten

VulDB Base Score: 🔍
VulDB Temp Score: 🔍
VulDB Zuverlässigkeit: 🔍

Exploitinginfo

Klasse: Pufferüberlauf
CWE: CWE-122 / CWE-119
ATT&CK: Unbekannt

Lokal: Nein
Remote: Teilweise

Verfügbarkeit: 🔍
Status: Nicht definiert

EPSS Score: 🔍
EPSS Percentile: 🔍

Preisentwicklung: 🔍
Aktuelle Preisschätzung: 🔍

0-Dayfreischaltenfreischaltenfreischaltenfreischalten
Heutefreischaltenfreischaltenfreischaltenfreischalten

Threat Intelligenceinfo

Interesse: 🔍
Aktive Akteure: 🔍
Aktive APT Gruppen: 🔍

Gegenmassnahmeninfo

Empfehlung: Upgrade
Status: 🔍

0-Day Time: 🔍

Upgrade: Control Runtime System 3.5.17.10

Timelineinfo

21.05.2021 🔍
04.08.2021 +75 Tage 🔍
04.08.2021 +0 Tage 🔍
07.08.2021 +3 Tage 🔍

Quelleninfo

Advisory: customers.codesys.com
Status: Bestätigt
Bestätigung: 🔍

CVE: CVE-2021-33485 (🔍)

Eintraginfo

Erstellt: 04.08.2021 12:34
Aktualisierung: 07.08.2021 17:53
Anpassungen: 04.08.2021 12:34 (36), 07.08.2021 17:53 (3)
Komplett: 🔍

Diskussion

Bisher keine Kommentare. Sprachen: de + en.

Bitte loggen Sie sich ein, um kommentieren zu können.

Do you want to use VulDB in your project?

Use the official API to access entries easily!